import { EditorView, Command, ViewPlugin, ViewUpdate } from "@codemirror/next/view";
import { Transaction } from "@codemirror/next/state";
import { ActiveSource } from "./state";
import { CompletionResult, CompletionSource, CompletionContext } from "./completion";
export declare function moveCompletionSelection(forward: boolean, by?: "option" | "page"): Command;
export declare const acceptCompletion: Command;
export declare const startCompletion: Command;
export declare const closeCompletion: Command;
declare class RunningQuery {
    readonly source: CompletionSource;
    readonly context: CompletionContext;
    time: number;
    updates: Transaction[];
    done: undefined | CompletionResult | null;
    constructor(source: CompletionSource, context: CompletionContext);
}
export declare const completionPlugin: ViewPlugin<{
    debounceUpdate: number;
    running: RunningQuery[];
    debounceAccept: number;
    readonly view: EditorView;
    update(update: ViewUpdate): void;
    startUpdate(): void;
    startQuery(active: ActiveSource): void;
    scheduleAccept(): void;
    accept(): void;
}>;
export {};
//# sourceMappingURL=view.d.ts.map